aboutsummaryrefslogtreecommitdiff
path: root/libraries/aubio/aubio.SlackBuild
diff options
context:
space:
mode:
authorMatteo Bernardini <ponce@slackbuilds.org>2018-01-24 16:43:32 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-27 07:43:43 +0700
commitf5edc35d73c6831d613650c525ca4ab0dd49de53 (patch)
treeda298770487f5381bf2f0db37d05b1615f40148c /libraries/aubio/aubio.SlackBuild
parentdd34f8d21ceffa65daf5ee7e1fcab955e43192af (diff)
downloadslackbuilds-f5edc35d73c6831d613650c525ca4ab0dd49de53.tar.xz
libraries/aubio: Updated for version 0.4.6, changed maintainer.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/aubio/aubio.SlackBuild')
-rw-r--r--libraries/aubio/aubio.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/libraries/aubio/aubio.SlackBuild b/libraries/aubio/aubio.SlackBuild
index bad3ae3cd252..d990c19b5dc5 100644
--- a/libraries/aubio/aubio.SlackBuild
+++ b/libraries/aubio/aubio.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for aubio
# Copyright 2008-2016 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2018 Matteo Bernardini, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=aubio
-VERSION=${VERSION:-0.4.2}
+VERSION=${VERSION:-0.4.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +41,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -67,14 +68,14 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Fix detecting ffmpeg
sed -i "s|'HAVE_' + i in ctx.env.define_key|'HAVE_' + i in ctx.env|" \
- wscript
+ wscript || exit 1
# Fix the build system...
-sed -i "s|'\${PREFIX}' + '/share/doc/libaubio-doc'|'\${DOCDIR}'|" wscript
+sed -i "s|'\${DATAROOTDIR}' + '/doc/libaubio-doc'|'\${DOCDIR}'|" wscript || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -98,7 +99,7 @@ if ! [ "${BINDINGS:-no}" = "no" ]; then
cd ..
fi
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION